:root {
    --blanco: #ffffff;
    --negro: #212121;
    --primario: #ffc107;
    --secundario: #00afaf;
    --gris: #757575;
    --fuente-principal: 3.8rem;
    --blancoscuro: #dfe9f3;
}


/* apply a natural box layout model to all elements, but allowing components to change */

html {
    box-sizing: border-box;
    font-size: 62.5%;
    /** 1rem = 10px **/
    scroll-snap-type: y mandatory;
}


/** Scroll Snap **/

.servicio,
.nav-primario,
.form {
    scroll-snap-align: center;
    scroll-snap-stop: always;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body {
    font-size: 1.6rem;
    font-family: 'Roboto Condensed', sans-serif;
    background-image: linear-gradient(to top, var(--blancoscuro) 0%, var(--blanco) 100%);
}

h1 {
    font-size: var(--fuente-principal);
}

h2 {
    font-size: 2.8rem;
}

h3 {
    font-size: 1.8rem;
}

h1,
h2,
h3 {
    text-align: center;
}

.titulo span {
    font-size: 2rem;
}

.contenedor {
    max-width: 120rem;
    margin: 0 auto;
}


/** Utilidades **/

.w-sm-100 {
    width: 100%;
}

@media (min-width: 768px) {
    .w-sm-100 {
        width: auto;
    }
}

.flex {
    display: flex;
}

.alinear-derecha {
    justify-content: flex-end;
}


/** Navegación Principal **/

.nav-bg {
    background-color: var(--secundario);
}

.nav-primario {
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (min-width: 768px) {
    .nav-primario {
        flex-direction: row;
        justify-content: space-between;
    }
}

.nav-primario a {
    display: block;
    align-items: center;
    color: var(--blanco);
    text-decoration: none;
    font-size: 2rem;
    font-weight: bold;
    padding: 1rem;
}

.nav-primario a:hover {
    background-color: var(--primario);
    color: var(--oscuro);
}

.hero {
    background-image: url(../img/hero.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 45rem;
    position: relative;
}

.contenido-hero {
    position: absolute;
    background-color: rgba(0, 0, 0, .7);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.contenido-hero h2,
.contenido-hero p {
    color: var(--blanco);
}

.ubicacion {
    display: flex;
    align-items: flex-end;
}


/** Boton **/

.btn {
    background-color: var(--secundario);
    text-align: center;
    padding: 1rem 3rem;
    margin-top: 1rem;
    color: var(--blanco);
    text-decoration: none;
    font-family: 'Roboto Condensed', sans-serif;
    font-weight: 700;
    text-transform: uppercase;
    border-radius: .5rem;
    width: 90%;
    border: none;
}

@media (min-width: 768px) {
    .btn {
        width: auto;
    }
}

.btn:hover {
    cursor: pointer;
}

.sombra {
    -webkit-box-shadow: 0px 5px 15px 0px rgba(112, 112, 112, 0.54);
    -moz-box-shadow: 0px 5px 15px 0px rgba(112, 112, 112, 0.54);
    box-shadow: 0px 5px 15px 0px rgba(112, 112, 112, 0.54);
    background-color: var(--blanco);
    padding: 2rem;
    border-radius: 1rem;
}


/** Servicios **/

@media (min-width: 768px) {
    .servicios {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        column-gap: 1rem;
    }
}

.servicio {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.servicio h3 {
    color: var(--secundario);
    font-weight: normal;
}

.servicio p {
    line-height: 2;
}

.servicio .iconos {
    height: 15rem;
    width: 15rem;
    background-color: var(--primario);
    border-radius: 50%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}


/** Contacto **/

.form {
    background-color: var(--gris);
    width: min(60rem, 100%);
    margin: 0 auto;
    padding: 2rem;
    border-radius: 1rem;
}

.form fieldset {
    border: none;
}

.form legend {
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: bold;
    margin-bottom: 2rem;
    color: var(--primario);
}

@media (min-width: 768px) {
    .contenedor-campos {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto auto 20rem;
        column-gap: 1rem;
    }
    .campo:nth-child(3),
    .campo:nth-child(4) {
        grid-column: 1 / 3;
    }
}

.campo {
    margin-bottom: 1rem;
}

.campo label {
    color: var(--blanco);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;
}

.campo textarea {
    height: 20rem;
}

.input-text {
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .5rem;
}

.footer {
    text-align: center;
}